using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ewide.Core.Service.Area.Dto
{
    public class AreaCodeOutput:AreaCodeInput
    {
        public string ParentCode { get; set; }
    }
    public class AreaTreeNode : AreaCodeOutput, ITreeNode
    {
        public List<AreaTreeNode> Children { get; set; } = new List<AreaTreeNode>();

        public string GetId()
        {
            return Code;
        }

        public string GetPid()
        {
            return ParentCode;
        }

        public void SetChildren(IList children)
        {
            Children = (List<AreaTreeNode>)children;
        }
    }
}
